'keychain --list' prints error

Bug #1508699 reported by Robert C Jennings
42
This bug affects 8 people
Affects Status Importance Assigned to Milestone
keychain (Ubuntu)
Confirmed
Medium
Unassigned

Bug Description

keychain has an extra '=' which breaks the --list option:

$ keychain --list
/usr/bin/keychain: 1537: [: end: unexpected operator
end

$ diff -u /usr/bin/keychain.orig /usr/bin/keychain
--- /usr/bin/keychain.orig 2015-10-21 16:50:54.411003504 -0500
+++ /usr/bin/keychain 2015-10-21 16:51:00.422017437 -0500
@@ -1534,7 +1534,7 @@
  sshavail=`ssh_l` # update sshavail now that we're locked
  if [ "$myaction" = "list" ]; then
   for key in $sshavail end; do
- [ "$key" == "end" ] && continue
+ [ "$key" = "end" ] && continue
    echo "$key"
   done
  else

ProblemType: Bug
DistroRelease: Ubuntu 15.10
Package: keychain 2.8.1-0.1 [modified: usr/bin/keychain]
ProcVersionSignature: Ubuntu 4.2.0-16.19-generic 4.2.3
Uname: Linux 4.2.3+ x86_64
ApportVersion: 2.19.1-0ubuntu3
Architecture: amd64
CurrentDesktop: Unity
Date: Wed Oct 21 16:52:11 2015
InstallationDate: Installed on 2013-12-27 (663 days ago)
InstallationMedia: Ubuntu 13.10 "Saucy Salamander" - Release amd64 (20131016.1)
PackageArchitecture: all
SourcePackage: keychain
UpgradeStatus: Upgraded to wily on 2015-10-20 (1 days ago)

Revision history for this message
Robert C Jennings (rcj) wrote :
Revision history for this message
Robert C Jennings (rcj) wrote :

Here is a simple fix for the command.

Revision history for this message
Ubuntu Foundations Team Bug Bot (crichton) wrote :

The attachment "keychain.patch" seems to be a patch. If it isn't, please remove the "patch" flag from the attachment, remove the "patch" tag, and if you are a member of the ~ubuntu-reviewers, unsubscribe the team.

[This is an automated message performed by a Launchpad user owned by ~brian-murray, for any issues please contact him.]

tags: added: patch
Revision history for this message
Robert C Jennings (rcj) wrote :

If LP were aware of the upstream git tree for a package such that MoM will take over and keep things fresh these would be resolved. Specifically http://pad.lv/u/keychain needs to know about https://github.com/funtoo/keychain

Fixes for this and other bash eval error (keychain --confhost)
https://github.com/funtoo/keychain/commit/f44f2e2ae7a824ce27c7347f7be656b00beb7e07
https://github.com/funtoo/keychain/commit/0a378dc4cb79c7cdcba2a8e127cde8e74c7f45ae

Revision history for this message
Robert C Jennings (rcj) wrote : Re: [Bug 1508699] Re: 'keychain --list' prints error

-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA512

On 10/22/2015 02:05 PM, Robert C Jennings wrote:
> If LP were aware of the upstream git tree for a package such that
> MoM will take over and keep things fresh these would be resolved.
> Specifically http://pad.lv/u/keychain needs to know about
> https://github.com/funtoo/keychain

No, now I understand how MoM works. This needs to be patched or fixed
upstream in Debian.

>
> Fixes for this and other bash eval error (keychain --confhost)
> https://github.com/funtoo/keychain/commit/f44f2e2ae7a824ce27c7347f7be6
56b00beb7e07
>
>
https://github.com/funtoo/keychain/commit/0a378dc4cb79c7cdcba2a8e127cde8
e74c7f45ae
>
-----BEGIN PGP SIGNATURE-----
Version: GnuPG v2

iQIcBAEBCgAGBQJWKbFvAAoJEHQMPZ7t8u1zsdQP/izQX0+kQCzrkdMgzwOHzVwx
upZAbAUlv2UAfJPLsjyRRGO85vQS22NP7QlFf1sOXLvSqg6Q2KGsfXVjmD2aCl46
OPb2G3lTR+w+CaQahcKQahvwZuiStQb2LXDnP5pNJen/cwj4PprdJb8f7zte4H00
+XrSbSYCkD229DReR258hsau5qX8rkARDadGJTzWtsCuBlO4mFnSMqR+gasR7GL8
i0nGLCiKmK1MkqFBJ6qzqR9bt4cO2OZzGlNvU5/xEA3PADbvmnAO0/6rxxXKYss+
FnyMiu6QLyjetECQRTWhyF20B1adnT/F69R/OdbVOhOjWB5IqWLaxg4SH4S3JuA7
WSiCTi5yl0Cirg8V4QJ7PbBYUx2I4i4LTOvKRX2dmqDJtFTPZRycc7qKndwHzwjD
9zDVzBtOAHVECZ/SoAS5cheMzAhu2r9UbSXJJw+V+XTth+thueY8JG2ORTkR7Jny
IEK+9Q6VUViW3ey2/CFDfBf/QOBi0xfCeJ29hNsFaW5wzSDVU8Ci3bWrNL/146Xh
Mrt9KKq9vT691Uscez2A0l7y94NGeCa+qi9cmc/UvEcgWKWZPw7wDf2Xc5kpb+fy
5IGAOcsUusRtxCfPI3b0OSpoTqZQshbI9PqMABgIbFdPlenGIKQVX358rKHSnsY1
iHXEsozu3qWrRhDZ4vJK
=y+4q
-----END PGP SIGNATURE-----

Revision history for this message
Launchpad Janitor (janitor) wrote :

Status changed to 'Confirmed' because the bug affects multiple users.

Changed in keychain (Ubuntu):
status: New → Confirmed
Changed in keychain (Ubuntu):
importance: Undecided → Medium
Revision history for this message
Xeres (xerespm) wrote :

It regressed in 16.04 and 16.04.01?

Revision history for this message
Ash Holland (sersorrel) wrote :

This is fixed upstream in Debian release 2.8.2-0.1, see https://bugs.debian.org/cgi-bin/bugreport.cgi?bug=815510.

To post a comment you must log in.
This report contains Public information  
Everyone can see this information.

Duplicates of this bug

Other bug subscribers

Remote bug watches

Bug watches keep track of this bug in other bug trackers.